﻿-- Name		   : QuestLink
-- Version	   : v1.0
-- Author      : Flo
-- Create Date : 09-12-2016

local lastQuestSelected = GetQuestLogSelection();
local questSelected = lastQuestSelected;
local firstTime = true;

function QuestLink_OnEvent()
	local questSelected = GetQuestLogSelection();

	if WorldMapFrame:IsVisible() == true then 
		if QuestMapFrame.DetailsFrame:IsVisible() == true then
				QuestLinkButton:Show();
				QuestLinkButton:SetFrameStrata("TOOLTIP");
				if (lastQuestSelected ~= questSelected or firstTime) then
					local questTitle, level, questTag, suggestedGroup, isHeader, isCollapsed, isComplete, questID = GetQuestLogTitle(questSelected)
					txtLink:SetText("http://wowhead.com/quest=" .. questID);
					lastQuestSelected = questSelected;
					txtLink:ClearFocus();
					firstTime = false;
				end	
		else 
				QuestLinkFrame:Hide();
				QuestLinkButton:Hide();
		end
	else
				QuestLinkFrame:Hide();
				QuestLinkButton:Hide();
	end 
end

function btnOpenLink_Click()
	QuestLinkFrame:SetFrameStrata("TOOLTIP");
	txtLink:SetFont("Fonts\\FRIZQT__.TTF", 9);
	QuestLinkFrame:Show();
end

function btnClose_Click()
	QuestLinkFrame:Hide();
end

function QuestLinkFrame_OnLoad()
	QuestLinkFrame:Hide();
	txtLink:SetAutoFocus(false);
	QuestLinkFrame:SetScript("OnEvent", QuestLink_OnEvent)
	QuestLinkFrame:RegisterForDrag("LeftButton");
end